//CFEScreen - [2020-04-13 11:57:46]
#ifndef _CFESCREEN_H_
#define _CFESCREEN_H_

#include "common.h"
#include "CUITileManager.h"

/*
00123174 CFEScreen::CFEScreen()
001231A8 CFEScreen::~CFEScreen()
001231D0 CFEScreen::~CFEScreen()
0012327C CFEScreen::Render2DHUD()
0012327E CFEScreen::PreRender3D()
00123280 CFEScreen::Render3D()
00123282 CFEScreen::Exit()
001231A4 CFEScreen::SetScreenID(int)
001231D4 CFEScreen::PositionTileManager(int)
0012326C CFEScreen::HaveBannerAdsOnScreen(int)

CFEScreen的派生类:
CFESGame
CFESTitle
CFESIntro
CFESChooseHero
CFESChooseSideHero
CFESEditPlayer
CFESPlayerName
CFESMainMenu
CFESLevelSelect
CFESOptions
CFESCredits
CFESPauseMenu
CFESShop
CFESAndroidGraphics

vptr_CFEScreen_321A0C:
  CFEScreen::~CFEScreen()
  CFEScreen::~CFEScreen()
  CFEScreen::Init()
  CFEScreen::Process()
  CFEScreen::Render2D()
  CFEScreen::Render2DHUD()
  CFEScreen::PreRender3D()
  CFEScreen::Render3D()
  CFEScreen::Exit()
*/

class CFEScreen {
public:
  CFEScreen();           //00123174
  virtual ~CFEScreen();  //001231A8 001231D0
  virtual void Init() = 0;
  virtual void Process() = 0;
  virtual void Render2D() = 0;
  virtual void Render2DHUD();          //0012327C
  virtual void PreRender3D();          //0012327E
  virtual void Render3D();             //00123280
  virtual void Exit();                 //00123282
  void SetScreenID(int dId);           //001231A4
  void PositionTileManager(int);       //001231D4
  bool HaveBannerAdsOnScreen(int a1);  //0012326C

  CUITileManager* m_pUITileManager_4;
  bool m_bfield_8;
  int dId_C;
};

#endif  //_CFESCREEN_H_